/*------------------------------------*\
    #ADDRESS-LOCATOR
\*------------------------------------*/
/**
 * Address locator component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}address-locator,
%#{$inuit-namespace}address-locator {
    margin: $inuit-base-space-vertical-small-only 0;

    @media #{$medium-up} {
        margin: $inuit-base-space-vertical 0;
    }

    &--intext {
        padding: $inuit-base-space-vertical-small-only 0;
        border: 1px solid $frs-color-light-grey;
        border-width: 1px 0;

        @media #{$medium-up} {
            padding: $inuit-base-space-vertical 0;
        }
    }
}

.#{$inuit-namespace}address-locator__section,
%#{$inuit-namespace}address-locator__section {
    padding-top: 0;

    .c-address-locator--intext & {
        @extend %h-text--center;
    }
}

.#{$inuit-namespace}address-locator__label,
%#{$inuit-namespace}address-locator__label {
    display: none;

    margin-bottom: 1em;
    width: 100%;

    .c-address-locator--intext & {
        display: inline-block;
    }

    @media #{$medium-up} {
        margin-bottom: 0;
        width: auto;
    }
}

.#{$inuit-namespace}address-locator__input,
%#{$inuit-namespace}address-locator__input {
    margin: 0 1em;
    width: auto;

    &:first-of-type {
        margin-left: 0;
    }

    .c-address-locator--intext & {
        display: inline-block;

        &:first-of-type {
            margin-left: 1em;
        }
    }
}
